Bug 142819 - xorg-x11 bios hotkeys patch
xorg-x11 bios hotkeys patch
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: FutureFeature, Triaged
Depends On:
  Show dependency treegraph
Reported: 2004-12-14 09:40 EST by Sammy
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-29 13:18:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Radeon bios hotkeys patch (3.19 KB, patch)
2004-12-14 09:41 EST, Sammy
no flags Details | Diff

  None (edit)
Description Sammy 2004-12-14 09:40:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux; X11; en_US) KHTML/3.3.2 (like Gecko)

Description of problem:
There is finally a patch for enabling bios hotkeys for the radeon 
driver. It is committed to HEAD but I have been testing it with the
Fedora Core 3 + devel packages and it seems to work fine.
it introduces the "BIOSHotkeys" option which is off by default.
it would be nice to see this added to xorg-x11 package. Would help
laptop users.


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install Fedora Core 3+ on a laptop
2.try video switching (fn+f7 on some laptops)

Additional info:
Comment 1 Sammy 2004-12-14 09:41:27 EST
Created attachment 108517 [details]
Radeon bios hotkeys patch
Comment 2 Mike A. Harris 2005-02-01 02:20:47 EST
Please submit a bug report to X.Org bugzilla in the "xorg"
component, and attach the patch there for consideration of
inclusion into the XORG-6_8-branch

If X.Org approves the patch for the 6.8.2 release, it will
automatically be included in Fedora Core 4, and Fedora Core 3
future updates.  If it doesn't get into 6.8.2, but is accepted
into the CVS branch for future 6.8.x releases, we will consider
adding it to our rpm packages also.

Once you have filed your report upstream, please paste the URL
here and we will track the issue in the X.org bugzilla, and
review X.Org developer's comments, etc.
Comment 3 Mike A. Harris 2005-02-01 02:21:23 EST
Setting status to "NEEDINFO", and waiting for upstream bug URL
for tracking.
Comment 4 Mike A. Harris 2005-03-29 13:18:53 EST
Once someone files a request in X.Org bugzilla for the inclusion of this
feature into the X.Org stable branch of CVS, it will be reviewed by the
X.Org stable branch release manager for consideration.  If the release
manager decides to include the feature in the stable branch, it might
get included in the 6.8.3 release.

I'm setting the status of this request to "WONTFIX", as we will not include
a feature of this nature without it being accepted into the 6.8 branch
of CVS upstream first.

If someone pastes the URL to the upstream bug report for this request here,
and sets this bug back to "REOPENED", we will track the issue, and if it
gets committed to CVS stable branch, we will also consider including it
in our future rpm packages.

Note You need to log in before you can comment on or make changes to this bug.